org.apache.ignite.internal.processors.cache

## Class DynamicCacheChangeBatch

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.DynamicCacheChangeBatch

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage

    public class DynamicCacheChangeBatch
    extends Object
    implements DiscoveryCustomMessage

Cache change batch.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DynamicCacheChangeBatch(Collection<DynamicCacheChangeRequest> reqs)`

### Method Summary

Methods
`DiscoveryCustomMessage` `ackMessage()` Called when custom message has been handled by all nodes.
`Map<String,Map<UUID,Boolean>>` `clientNodes()`
`void` `clientNodes(Map<String,Map<UUID,Boolean>> clientNodes)`
`boolean` `clientReconnect()`
`void` `clientReconnect(boolean clientReconnect)`
`IgniteUuid` `id()`
`boolean` `incrementMinorTopologyVersion()` Whether or not minor version of topology should be increased on message receive.
`boolean` `isMutable()`
`Collection<DynamicCacheChangeRequest>` `requests()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DynamicCacheChangeBatch

    public DynamicCacheChangeBatch(Collection<DynamicCacheChangeRequest> reqs)

Parameters:
  `reqs` - Requests.

### Method Detail

#### id

    public IgniteUuid id()

Specified by:
  `id` in interface `DiscoveryCustomMessage`
Returns:
  Unique custom message ID.

#### requests

    public Collection<DynamicCacheChangeRequest> requests()

Returns:
  Collection of change requests.

#### clientNodes

    public Map<String,Map<UUID,Boolean>> clientNodes()

Returns:
  Client nodes map.

#### clientNodes

    public void clientNodes(Map<String,Map<UUID,Boolean>> clientNodes)

Parameters:
  `clientNodes` - Client nodes map.

#### incrementMinorTopologyVersion

    public boolean incrementMinorTopologyVersion()

Whether or not minor version of topology should be increased on message receive.

Specified by:
  `incrementMinorTopologyVersion` in interface `DiscoveryCustomMessage`
Returns:
  `true` if minor topology version should be increased.
See Also:
  `AffinityTopologyVersion.minorTopVer`

#### ackMessage

    @Nullable
    public DiscoveryCustomMessage ackMessage()

Called when custom message has been handled by all nodes.

Specified by:
  `ackMessage` in interface `DiscoveryCustomMessage`
Returns:
  Ack message or `null` if ack is not required.

#### isMutable

    public boolean isMutable()

Specified by:
  `isMutable` in interface `DiscoveryCustomMessage`
Returns:
  `true` if message can be modified during listener notification. Changes will be send to next nodes.

#### clientReconnect

    public void clientReconnect(boolean clientReconnect)

Parameters:
  `clientReconnect` - `True` if this is discovery data sent on client reconnect.

#### clientReconnect

    public boolean clientReconnect()

Returns:
  `True` if this is discovery data sent on client reconnect.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015